Page MenuHomePhabricator

Add notification to inform oauthadmins that a new consumer request is waiting
Open, LowPublic

Description

As the influx of consumer requests dies down, or on other wikis with fewer users, requests will become scarcer. Right now the only way to check whether or not a new request is waiting is to go to [[Special:OAuthManageConsumers]] and check for yourself.

A good way to solve this problem would be for emails to be sent to oauthadmins, through their registered email address, to inform them there is a new request waiting. These emails should be optional and disabled by default, so that oauthadmins aren't spammed with emails that they don't want.


Version: unspecified
Severity: enhancement

Details

Reference
bz59772

Related Objects

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz59772.
bzimport added a subscriber: Unknown Object (MLST).
Deskana created this task.Jan 7 2014, 4:19 PM
Anomie added a comment.Jan 7 2014, 4:24 PM

If the wiki has Echo, that'd probably be a better way to go. Do we want to worry about a fallback to email for wikis without Echo?

(In reply to comment #1)

If the wiki has Echo, that'd probably be a better way to go. Do we want to
worry about a fallback to email for wikis without Echo?

Good point, there may be other ways of addressing this point. Title adjusted to not refer specifically to email notifications.

My original thought was to make an edit automatically, so the admins could add it to their watchlist. If we want something immediately, we can update the instructions to request they update a wiki page, like they do for labs project requests. But echo seems like a much better tool.

How about we make echo the default notification, and if we need to add email later on, we can add a configuration for that too?

Or maybe we make the list available via api, so an oauth bot can send whatever notifications it wants ;)

Tgr added a subscriber: Tgr.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 23 2015, 6:58 AM
Deskana removed a subscriber: Deskana.Jun 23 2015, 4:37 PM
Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 7:21 AM

Change 231989 had a related patch set uploaded (by Gergő Tisza):
Send notifications about app management events

https://gerrit.wikimedia.org/r/231989

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2015, 6:13 AM

Change 231989 merged by Dpatrick:
Send notifications about app management events

https://gerrit.wikimedia.org/r/231989

Change 303324 had a related patch set uploaded (by Dpatrick):
Configure oauth notifications to sysop

https://gerrit.wikimedia.org/r/303324

Change 303333 had a related patch set uploaded (by Dpatrick):
Enable notifications for OAuth

https://gerrit.wikimedia.org/r/303333

Change 303324 abandoned by Dpatrick:
Configure oauth notifications to sysop

Reason:
Superseded by I63cd4f89dd9c754e917ff75c22692f08f35ef377.

https://gerrit.wikimedia.org/r/303324

Change 303333 merged by jenkins-bot:
Enable notifications for OAuth

https://gerrit.wikimedia.org/r/303333

Change 303715 had a related patch set uploaded (by Catrope):
Follow-up 398cb5368: add missing global $wgOAuthGroupsToNotify

https://gerrit.wikimedia.org/r/303715

Change 303715 merged by jenkins-bot:
Follow-up 398cb5368: add missing global $wgOAuthGroupsToNotify

https://gerrit.wikimedia.org/r/303715

Reedy added a subscriber: Reedy.Sep 15 2016, 9:28 AM

Is it me, or does the email just look/read/feel weird?

Should there be the app name to the right hand side of the colon?

Why is there an ellipsis after (part) of the users name?

Tgr added a comment.Sep 15 2016, 10:52 PM

The ellipsis thing is done by EchoEventPresentationModel::getUserLink() which is the recommended way of formatting secondary links to user pages.

Tgr added a comment.Sep 15 2016, 11:14 PM

Consumer names work on the web interface. Maybe for email the presentation model gets serialized and deserialized and that messes up the parameter somehow?

Tgr added a comment.Sep 15 2016, 11:30 PM

I'll go out on a limb and assume that this was caused by master-slave lag in EchoOAuthStageChangePresentationModel::getConsumer(). If so, T60937 will fix it.

Currently only oauthadmins get the notification. Maybe it should be sent to those that are able to approve said consumers instead of hard-bundling the feature into a single userright? Thanks.

Tgr added a comment.May 19 2018, 1:28 PM

The goal was to avoid spamming stewards (who have permissions for everything but aren't necessarily interested in everything). Easy to change if there's demand for it.

Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 4 2018, 2:34 PM